# Enum TRowSet._Fields

java.lang.Object
java.lang.Enum<TRowSet._Fields>
com.databricks.jdbc.model.client.thrift.generated.TRowSet._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TRowSet._Fields>`, `java.lang.constant.Constable`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  `TRowSet`

public static enum TRowSet._Fields extends Enum<TRowSet._Fields> implements org.apache.thrift.TFieldIdEnum
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARROW_BATCHES`
`BINARY_COLUMNS`
`COLUMN_COUNT`
`COLUMNS`
`RESULT_LINKS`
`ROWS`
`START_ROW_OFFSET`

## Method Summary

Modifier and Type
Method
Description
`static TRowSet._Fields`
`findByName(String name)`
Find the _Fields constant that matches name, or null if its not found.
`static TRowSet._Fields`
`findByThriftId(int fieldId)`
Find the _Fields constant that matches fieldId, or null if its not found.
`static TRowSet._Fields`
`findByThriftIdOrThrow(int fieldId)`
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String`
`getFieldName()`
`short`
`getThriftFieldId()`
`static TRowSet._Fields`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TRowSet._Fields[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### START_ROW_OFFSET

public static final TRowSet._Fields START_ROW_OFFSET

### ROWS

public static final TRowSet._Fields ROWS

### COLUMNS

public static final TRowSet._Fields COLUMNS

### BINARY_COLUMNS

public static final TRowSet._Fields BINARY_COLUMNS

### COLUMN_COUNT

public static final TRowSet._Fields COLUMN_COUNT

### ARROW_BATCHES

public static final TRowSet._Fields ARROW_BATCHES

### RESULT_LINKS

public static final TRowSet._Fields RESULT_LINKS

## Method Details

### values

public static TRowSet._Fields[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TRowSet._Fields valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### findByThriftId

public static TRowSet._Fields findByThriftId(int fieldId)
Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

public static TRowSet._Fields findByThriftIdOrThrow(int fieldId)
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

public static TRowSet._Fields findByName(String name)
Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`